#
# spec file for package python-md_mermaid
#
# Copyright (c) 2024 root.
#

%global debug_package %{nil}

Name:           python3-md_mermaid
Version:        0.1.1
Release:        0
Summary:        Python-Markdown extension to add support for mermaid graph inside markdown file.
License:        UNKNOWN (FIXME:No SPDX)
URL:            https://github.com/oruelle/md_mermaid
Source:         https://files.pythonhosted.org/packages/source/m/md-mermaid/md_mermaid-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-markdown >= 2.5
Requires:       python3-markdown >= 2.5

%description
Python-Markdown extension to add support for mermaid graph inside markdown file.

%prep
%setup -q -n md_mermaid-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{python3_sitelib}/*

%changelog
